Bug 952274 - Portal keep session alive property values are confusing
Summary: Portal keep session alive property values are confusing
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: DR02
: 6.1.1
Assignee: Peter Palaga
QA Contact:
URL:
Whiteboard: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-15 14:26 UTC by Dominik Pospisil
Modified: 2014-02-10 14:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-2930 Major Resolved Portal keep session alive property values are confusing 2014-02-10 14:26:29 UTC

Description Dominik Pospisil 2013-04-15 14:26:44 UTC
According to documentation, portal "keep seesion alive" property values meaning are as follows:

never - The session will never timeout, even if an application requests it.
On-demand - The session will timeout if an application requests it
Always - The session will time out after a set period

This is quite confusing. E.g. keep session alive never actually means to keep session alive forever.

Keep session alive always means to let the session timeout automatically.


If the documentation is correct, the name of the property or property values should be changed.

Comment 3 JBoss JIRA Server 2013-10-01 02:45:26 UTC
Tuyen Nguyen The <nttuyen266@gmail.com> made a comment on jira GTNPORTAL-2930

We should remap on UI instead of change the DB value to avoid migration problems.
We should change the label of property and the display of value, for example:
"Keep session alive" => "Keep session alive to"
"Never" => "Never timeout"
"On-demand" => "On-demand"
"Always" => "Force timeout after period time"

Comment 4 JBoss JIRA Server 2013-10-01 04:57:58 UTC
Trong Tran <trongtt@gmail.com> made a comment on jira GTNPORTAL-2930

I agree that we could only change the labels to be more meaning. And my suggestion is : "Session timeout" : ["Never", "On-demand', "Usually"]

WDYT ?

Comment 5 Dominik Pospisil 2013-10-01 08:40:04 UTC
I don't think that "Usually" make sense here. I would recommend leaving labels as they are "Never", "On-demand", "Always" but change the label of the property from "Keep session alive" to "Session timeout".

Comment 6 Boleslaw Dawidowicz 2013-12-11 10:49:43 UTC
I will go with suggestion from Dominik and just rename the label to "Session timeout"

Comment 7 Boleslaw Dawidowicz 2013-12-11 11:16:41 UTC
PR made https://github.com/gatein/gatein-portal/pull/732

Comment 8 Tomas Kyjovsky 2014-01-06 15:55:54 UTC
Hi, guys. I can see the change was made for english and french (in DR2). What about the other 11 languages? I think we should at least reset the localized values to the english version until they are re-translated.

Comment 9 Peter Palaga 2014-01-06 16:13:05 UTC
Good catch, Tomáš. 

The problem is that there is no translation process (incl. QA) in place. Esp. there are no explicit rules defining what should happen with dependent keys after a master RB key value change. Deleting them or setting them to the English values are quite obvious choices.

Please reopen this bug if you feel we should fix it.

BTW, btw. there are many issues of this kind in the portal.

Comment 10 Tomas Kyjovsky 2014-01-08 18:08:27 UTC
I think we should delete the localized values since the meaning is different now. 

We could probably use these translations by Google Translator:

fr "expiration de la session"
es "espera de sesión"
ru "таймаут сессии"
cs "vypršení relace"

(Not sure about other languages.)

Comment 11 Peter Palaga 2014-02-10 09:02:55 UTC
Ahoj Tomáš, it is only now that I noticed your last comment because you changed the status to MODIFIED rather than ASSIGNED. Modified means roughly "fix is present in the sources of the next version you get for testing" hence, I as a dev do not feel like there is something to be done w.r.t. this BZ. Please use ASSIGNED - that is the right status to reopen. ASSIGNED means unfixed and pops up properly in my TODO list. Thanks!

Anyway, what you propose in your last comment is valid. But it is too late to reopen this one for 6.1.1. Could you please create a new BZ targeting JBoss Portal 6.2 that would cover the rest to be done and handle this one as ON_QA?


Note You need to log in before you can comment on or make changes to this bug.